import { Component, OnInit } from '@angular/core';
import { IonButton, IonContent, IonHeader, IonInput, IonTitle, IonToolbar } from '@ionic/angular/standalone';
import { IonTextarea } from '@ionic/angular/standalone';
import { FmodeChatCompletion } from 'fmode-ng';

@Component({
  selector: 'app-aichat',
  templateUrl: './aichat.component.html',
  styleUrls: ['./aichat.component.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, IonButton,
    IonTextarea,IonInput
    ],
})
export class AIchatComponent  implements OnInit {

  constructor() {}
  ngOnInit(){}
  // 用户输入提示词
   userPrompt:string = "请问您有什么问题吗"
  promptInput(ev:any){
    this.userPrompt = ev.detail.value;
  }
  // 属性：组件内用于展示消息内容的变量
  responseMsg:any = ""
  // 方法：实例化completion对象，传入消息数组，并订阅生成的可观察对象。
  sendMessage(){
    console.log("create")
    let PromptTemple = `
    您作为一名专业的服装设计师，请您根据客户描述的问题或需求，给出详细的解答。
    以下是用户的描述：${this.userPrompt}`
    let completion = new FmodeChatCompletion([
      {role:"system",content:""},
      {role:"user",content:PromptTemple}
    ])
    completion.sendCompletion().subscribe((message:any)=>{
      // 打印消息体
      console.log(message.content)
      // 赋值消息内容给组件内属性
      this.responseMsg = message.content
    })
  }

}
